"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ModuleFederationDevPlugin = void 0;
/**
 * Internal plugin to help with development of Module Federation.
 */
class ModuleFederationDevPlugin {
  apply(compiler) {
    try {
      require.resolve('@module-federation/enhanced');
    } catch {
      return;
    }
    const instance = compiler.options.plugins.find(plugin => {
      if (typeof plugin !== 'object') return false;
      return plugin?.name?.includes('ModuleFederationPlugin') || plugin?.constructor?.name.includes('ModuleFederationPlugin');
    });
    if (!instance) return;

    // MF2 produces warning about not supporting async await
    // we can silence this warning since it works just fine
    compiler.options.ignoreWarnings = compiler.options.ignoreWarnings ?? [];
    compiler.options.ignoreWarnings.push(warning => warning.name === 'EnvironmentNotSupportAsyncWarning');
  }
}
exports.ModuleFederationDevPlugin = ModuleFederationDevPlugin;
//# sourceMappingURL=ModuleFederationDevPlugin.js.map